I suggest you ...

Make SpeakPipe work with HTML5, instead of Flash

I see a suggestion, marked completed in 2013, to use HTML5 to make it compatible with iPhone and iPad. However, the demo will not work for me on my Mac, which has Flash removed for security reasons. Please make HTML5 for ALL computers that choose not to install Flash.

22 votes
Vote
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    I agree to the terms of service
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    mpmp shared this idea  ·   ·  Admin →

    3 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      I agree to the terms of service
      Signed in as (Sign out)
      Submitting...
      • Thomas M. GögeleThomas M. Gögele commented  · 

        I'm seeing that the iOS App will not work with iOS 11 anymore. Is there plans to update the App?

      • AnonymousAnonymous commented  · 

        I'm using Chrome on an LG G3 32th quad core phone and get a flash error. Seems like it should be mobile friendly or hide it from mobile if not supported

      • SpeakPipeAdminSpeakPipe (Admin, SpeakPipe) commented  · 

        For now, SpeakPipe dialog and inline widgets use HTML5 for recording. It requires latest version of Firefox or Chrome. Unfortunately, Safari and IE don't support HTML5 audio recording yet, so SpeakPipe still uses Flash in these browsers.

        iOS devices also don't support HTML5 audio recording, so users have to install SpeakPipe app in order to send voice messages through SpeakPipe. It isn't a user-friendly solution but there is no other way for now.

        Once Apple adds support of HTML5 audio recording, SpeakPipe will use HTML5 on iOS devices and in Safari browser.

        If you have Chrome browser on your computer, try SpeakPipe in it.

      Feedback and Knowledge Base